%define anolis_release 2

Name: 		perl-File-Copy-Recursive
Version: 	0.45
Release: 	%{anolis_release}%{?dist}
Summary: 	Extension for recursively copying files and directories 
License: 	GPL-1.0-or-later OR Artistic-1.0-Perl
URL: 		https://metacpan.org/release/File-Copy-Recursive
Source0: 	https://cpan.metacpan.org/modules/by-module/File/File-Copy-Recursive-%{version}.tar.gz

BuildRequires:  perl(Cwd)
BuildRequires:  perl(vars)
BuildRequires:  perl(Carp)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::File)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl-generators
BuildRequires:  make

Requires:  perl(File::Glob)

BuildArch: noarch

%description
perl-File-Copy-Recursive is a Perl module that provides functions for recursively
copying files and directories. It is a convenient and efficient way to copy entire
directory trees with a single function call.

This module provides three main functions: fcopy, dircopy, and rcopy. fcopy
is used to copy a single file from a source directory to a destination directory.
dircopy is used to copy an entire directory tree from a source directory to a
destination directory. rcopy is used to copy a directory tree with options, such
as overwriting existing files, following symbolic links, and excluding certain files.

In addition to these main functions, perl-File-Copy-Recursive provides several
utility functions for working with file paths and directory structures. These
include path, full_path, is_dir, is_file, list_dir, and make_path.

The module is cross-platform, meaning it can be used on various operating systems
such as Windows, Linux, and macOS. It is a convenient module for developers who need
to copy large directory trees or sets of files with ease.

%package doc
Summary:        Documentation files for perl-File-Copy-Recursive
Requires:       perl-File-Copy-Recursive = %{version}-%{release}

%description    doc
The perl-File-Copy-Recursive-doc package contains documentation files for perl-File-Copy-Recursive.

%prep
%setup -q -n File-Copy-Recursive-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
chmod -R u+w %{buildroot}/*

%check
%{__make} test

%files
%{perl_vendorlib}/File
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Fri Apr 14 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.45-2
- Update the description

* Sat Feb 4 2023 Funda Wang <fundawang@yeah.net> - 0.45-1
- Import package for anolis 23
